## prog.utili
Class Frazione

    java.lang.Object
      prog.utili.Frazione

All Implemented Interfaces:
  java.lang.Comparable<Frazione>

    public class Frazione

extends java.lang.Object
implements java.lang.Comparable<Frazione>

Le sue istanze rappresentano frazioni.

Version:
  2.0
Author:
  Mauro Ferrari, Giovanni Pighizzini

Constructor Summary
`Frazione(int x)` Costruisce una nuova `Frazione` il cui numeratore è uguale all'argomento e il cui denominatore è 1.
`Frazione(int x, int y)` Costruisce una nuova frazione il cui valore è il rapporto fra il primo argomento e il secondo argomento.

Method Summary
`int` `compareTo(Frazione altra)` Confronta la frazione che esegue il metodo con quella specificata come argomento e restituisce un intero negativo, zero, o un intero positivo a seconda che la Frazione che esegue il metodo sia minore, uguale o maggiore di quella specificata come argomento.
`Frazione` `diviso(Frazione f)` Restituisce il riferimento a un nuovo oggetto che rappresenta la frazione ottenuta dividendo la frazione che esegue il metodo per quella specificata come argomento.
`boolean` `equals(Frazione f)` Confronta la frazione rappresentata dall'oggetto che esegue il metodo con la frazione specificata come argomento.
`boolean` `equals(java.lang.Object o)` Confronta la frazione rappresentata dall'oggetto che esegue il metodo con l'oggetto frazione specificato come argomento.
`int` `getDenominatore()` Restituisce il valore del denominatore della frazione.
`int` `getNumeratore()` Restituisce il valore del numeratore della frazione.
`boolean` `isMaggiore(Frazione f)` Confronta la frazione rappresentata dall'oggetto che esegue il metodo con la frazione specificata come argomento, restituisce `true` se la frazione che esegue il metodo è maggiore di quella specificata come argomento, `false` altrimenti.
`boolean` `isMinore(Frazione f)` Confronta la frazione rappresentata dall'oggetto che esegue il metodo con la frazione specificata come argomento; restituisce `true` se la frazione che esegue il metodo è minore di quella specificata come argomento, `false` altrimenti.
`Frazione` `meno(Frazione f)` Restituisce il riferimento a un nuovo oggetto che rappresenta la frazione ottenuta sottraendo la frazione specificata come argomento a quella che esegue il metodo.
`Frazione` `per(Frazione f)` Restituisce il riferimento a un nuovo oggetto che rappresenta la frazione ottenuta moltiplicando la frazione specificata come argomento con quella che esegue il metodo.
`Frazione` `piu(Frazione f)` Restituisce il riferimento a un nuovo oggetto che rappresenta la frazione ottenuta sommando la frazione specificata come argomento a quella che esegue il metodo.
`java.lang.String` `toString()` Restituisce una stringa di caratteri che descrive la frazione rappresentata dall'oggetto che esegue il metodo.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Frazione

    public Frazione(int x,
                    int y)

  Costruisce una nuova frazione il cui valore è il rapporto fra il primo argomento e il secondo argomento.

  Parameters:
    `x` - numeratore.
    `y` - denominatore.

### Frazione

    public Frazione(int x)

  Costruisce una nuova `Frazione` il cui numeratore è uguale all'argomento e il cui denominatore è 1.

  Parameters:
    `x` - numeratore.

Method Detail

### piu

    public Frazione piu(Frazione f)

  Restituisce il riferimento a un nuovo oggetto che rappresenta la frazione ottenuta sommando la frazione specificata come argomento a quella che esegue il metodo.

  Parameters:
    `f` - la frazione da sommare a quella che esegue il metodo.
  Returns:
    il riferimento alla frazione ottenuta sommando a quella che esegue il metodo quella specificata come argomento.

### meno

    public Frazione meno(Frazione f)

  Restituisce il riferimento a un nuovo oggetto che rappresenta la frazione ottenuta sottraendo la frazione specificata come argomento a quella che esegue il metodo.

  Parameters:
    `f` - la frazione da sottrarre a quella che esegue il metodo.
  Returns:
    il riferimento alla frazione ottenuta sottraendo alla frazione che esegue il metodo quella specificata come argomento.

### per

    public Frazione per(Frazione f)

  Restituisce il riferimento a un nuovo oggetto che rappresenta la frazione ottenuta moltiplicando la frazione specificata come argomento con quella che esegue il metodo.

  Parameters:
    `f` - la frazione da moltiplicare a quella che esegue il metodo.
  Returns:
    il riferimento alla frazione ottenuta moltiplicando quella che esegue il metodo per quella specificata come argomento.

### diviso

    public Frazione diviso(Frazione f)

  Restituisce il riferimento a un nuovo oggetto che rappresenta la frazione ottenuta dividendo la frazione che esegue il metodo per quella specificata come argomento.

  Parameters:
    `f` - la frazione per cui dividere quella che esegue il metodo.
  Returns:
    il riferimento alla frazione ottenuta dividendo quella che esegue il metodo per quella specificata come argomento.

### equals

    public boolean equals(Frazione f)

  Confronta la frazione rappresentata dall'oggetto che esegue il metodo con la frazione specificata come argomento. Restituisce `true` se le due frazioni hanno lo stesso valore, `false` altrimenti.

  Parameters:
    `f` - la frazione da confrontare con quella che esegue il metodo.
  Returns:
    `true` se e solo se la frazione che esegue il metodo è uguale a quella specificata come argomentod.

### equals

    public boolean equals(java.lang.Object o)

  Confronta la frazione rappresentata dall'oggetto che esegue il metodo con l'oggetto frazione specificato come argomento. Restituisce `true` se l'oggetto specificato come argomento è una frazione e le due frazioni hanno lo stesso valore, `false` altrimenti.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - l'oggetto da confrontare con la frazione che esegue il metodo.
  Returns:
    `true` se e solo se la frazione che esegue il metodo è uguale all'oggetto specificato come argomento.

### isMinore

    public boolean isMinore(Frazione f)

  Confronta la frazione rappresentata dall'oggetto che esegue il metodo con la frazione specificata come argomento; restituisce `true` se la frazione che esegue il metodo è minore di quella specificata come argomento, `false` altrimenti.

  Parameters:
    `f` - la frazione da confrontare con quella che esegue il metodo.
  Returns:
    `true` se e solo se la frazione che esegue il metodo è minore di quella specificata come argomento.

### isMaggiore

    public boolean isMaggiore(Frazione f)

  Confronta la frazione rappresentata dall'oggetto che esegue il metodo con la frazione specificata come argomento, restituisce `true` se la frazione che esegue il metodo è maggiore di quella specificata come argomento, `false` altrimenti.

  Parameters:
    `f` - la frazione da confrontare con quella che esegue il metodo.
  Returns:
    `true` se e solo se la frazione che esegue il metodo è maggiore di quella specificata come argomento.

### toString

    public java.lang.String toString()

  Restituisce una stringa di caratteri che descrive la frazione rappresentata dall'oggetto che esegue il metodo.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    la stringa che rappresenta la frazione.

### getNumeratore

    public int getNumeratore()

  Restituisce il valore del numeratore della frazione.

  Returns:
    il valore del numeratore della frazione che esegue il metodo.

### getDenominatore

    public int getDenominatore()

  Restituisce il valore del denominatore della frazione.

  Returns:
    il valore del denominatore della frazione che esegue il metodo.

### compareTo

    public int compareTo(Frazione altra)

  Confronta la frazione che esegue il metodo con quella specificata come argomento e restituisce un intero negativo, zero, o un intero positivo a seconda che la Frazione che esegue il metodo sia minore, uguale o maggiore di quella specificata come argomento.

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Frazione>`
  Parameters:
    `altra` - la frazione da confrontare con quella che esegue il metodo.
  Returns:
    un intero negativo, zero, o positivo a seconda che la frazione che esegue il metodo sia minore, uguale o maggiore di quella specificata come argomento.